<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
class PDF extends FPDF
{
	//Cabecera de página
	function Header()
	{
	    //Logo
	  	include("DYIM_VER.php");
	    //Arial bold 14
	    $this->SetFont('Arial','B',11);
	    $this->Cell(190,2,'REPORTE DE CLIENTES / PROVEEDORES',0,1,'C');
	    //Salto de línea
	    $this->Ln(1);
		
		$this->SetFont('Times','',8);//establece tamaño de letra
		$this->Cell(30,5,'Nº de Cli/Pro',1,'','C');
		$this->Cell(30,5,'RFC',1,'','C');
		$this->Cell(80,5,'Nombre o Empresaa',1,'','C');
		$this->Cell(40,5,'Telefono',1,1,'C');
	   
	}
	
	//Pie de página
	function Footer()
	{
	    //Posición: a 1,5 cm del final
	    $this->SetY(-15);
	    //Arial italic 8
	    $this->SetFont('Arial','I',8);
	    //Número de página
	    $this->Cell(0,10, $this->PageNo().'/{nb}',0,0,'C');
	}
}
if($_POST['tip_bus']=="clave"){
	$sql ="SELECT * FROM dxbascps WHERE codigo  = '".$_POST['txt_bus']."' order by codigo ";
}elseif($_POST['tip_bus']=="nombre"){
	$sql="SELECT * FROM dxbascps WHERE rfc LIKE '%".$_POST['txt_bus']."%' order by codigo ";
}else{
	$sql = "SELECT * FROM dxbascps order by codigo ";
}
$result = mysqli_query ($sql) or die (mysqli_error($GLOBALS['con'])); 
while ($row = mysqli_fetch_row($result)) { 
    $data[] = $row[0]; 
	$data1[] = $row[1]; 
	$data2[] = $row[8]; 
	$data3[] = $row[6]; 
	$data4[] = $row[7]; 
	$data5[] = $row[25]; 
	}
$num_elementos=count($data);
$pdf=new PDF();
$pdf->AddPage();
//Titolo de la tabla
$pdf->SetFont('Times','',8);//establece tamaño de letra
for($i=0;$i<=$num_elementos;$i++){
//es para centrar-->>

//--<<
$pdf->Cell(30,5, $data[$i],1,'','C');
$pdf->Cell(30,5, $data1[$i],1,'','C');
$pdf->Cell(80,5, $data2[$i] . ' ' . $data3[$i] . '' . $data4[$i],1,'','C');
$pdf->Cell(40,5, $data3[$i],1,1,'C');
} 
$pdf->Output();
?> 
